description: Document representation
type: object
properties:
  id:
    type: string
    format: uuid
    description: Unique identifier of the document
    example: f89b82b7-6fd5-4256-8aaf-0ea12e9e5547
  documentTemplate:
    $ref: ./DocumentTemplate.yaml
  mimeType:
    $ref: ./MimeType.yaml
  description:
    type: string
    description: A description of the document
    example: Driving license
  filename:
    type: string
    description: The file name of the uploaded document
    example: driving-license.pdf
  filesize:
    type: integer
    description: The size in bytes of the uploaded document
    example: 40211
    format: int64
    readOnly: true
  hasContent:
    type: boolean
    description: True if the document has been uploaded
    example: true
  mandatory:
    type: boolean
    description: True if the document is required in order to submit the onboarding request
    example: true
  content:
    type: string
    format: byte
    description: The base64-encoded content of the uploaded document
  ruleExecutions:
    type: array
    description: The current status of the latest rule executions associated with the document
    items:
      $ref: ./OnboardingValidationRuleExecution.yaml
  creationTimestamp:
    type: string
    format: date-time
    description: The creation timestamp
    example: "2024-12-16T17:31:27Z"
    readOnly: true
  updateTimestamp:
    type: string
    format: date-time
    description: The last update timestamp
    example: "2024-12-16T17:31:27Z"
    readOnly: true